%define upstream_name    Net-LDAPapi
%define upstream_version 3.0.3

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Perl bindings for LDAP client library
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	glibc-devel
BuildRequires:	openldap-devel
BuildRequires:  perl(Convert::ASN1) >= 0.190.0
BuildRequires:  perl-devel

%description
Perl bindings for LDAP client library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
#find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor -sdk 1 -lib_path %{_libdir} -include_path %{_includedir} -sasl_include_path %{_includedir}
%make

%check
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Credits Changes examples META.yml
%{perl_vendorarch}/Net/*.pm
%{perl_vendorarch}/auto/Net/LDAPapi
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.0.3-8.mga3
+ Revision: 370728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 3.0.3-7.mga3
+ Revision: 335947
- Set -sasl_include_path to avoid an interactive question

* Wed May 30 2012 jquelin <jquelin> 3.0.3-6.mga3
+ Revision: 250992
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 3.0.3-5.mga2
+ Revision: 104839
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 3.0.3-4.mga1
+ Revision: 32751
- rebuild
- mageia rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.0.3-3.mga1
+ Revision: 31697
- adding missing buildrequires
- using %%perl_convert_version
- mageia rebuild
- imported package perl-Net-LDAPapi

